CC    = gcc
FLAGS = -O3 -Wall -Wno-unused-result

SRC   = haar.c
EXEC  = bin/haar
GEN   = bin/input_generator

all: make_dirs $(EXEC) $(GEN)

clean:
	rm -f -r bin
	rm -f -r input

make_dirs:
	mkdir -p bin
	mkdir -p input

$(EXEC): $(SRC)
	$(CC) $(FLAGS) $^ -o $@

$(GEN): input_generator.c
	$(CC) $(FLAGS) $^ -o $@

run:
	./$(GEN) input/medium.in
	./$(EXEC) input/medium.in input/medium.out

